/**
 * @file
 * GLightbox JS.
 */

(function (Drupal, drupalSettings, once) {

  'use strict';

  Drupal.behaviors.initGLightbox = {
    attach: function (context, settings) {
      if (typeof settings.glightbox === 'undefined') {
        const lightbox = GLightbox({});
      }
      else {
        const lightbox = GLightbox(settings.glightbox);
      }
    }
  };

  // Create glightbox namespace if it doesn't exist.
  if (!Drupal.hasOwnProperty('glightbox')) {
    Drupal.glightbox = {};
  }

})(Drupal, drupalSettings, once);
